Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » AES » Functions

Initialization and Configuration functions. More...

## Functions
hal_status_t | hal_aes_init (aes_handle_t *p_aes)
| Initialize the AES according to the specified parameters in the aes_init_t and initialize the associated handle. More...
hal_status_t | hal_aes_deinit (aes_handle_t *p_aes)
| De-initialize the AES peripheral. More...
void | hal_aes_msp_init (aes_handle_t *p_aes)
| Initialize the AES MSP. More...
void | hal_aes_msp_deinit (aes_handle_t *p_aes)
| De-initialize the AES MSP. More...

## Detailed Description

Initialization and Configuration functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the AESx peripheral:

          (+) User must implement hal_aes_msp_init() function in which he configures
              all related peripherals resources (GPIO, DMA, IT and NVIC ).

          (+) Call the function hal_aes_init() to configure the selected device with
              the selected configuration:
            (++) Key Type
            (++) Key Size
            (++) Key
            (++) Key Address
            (++) Key Mask
            (++) init_vector
            (++) DPA Mode
            (++) Seed
            (++) Endian Mode

          (+) Call the function hal_aes_deinit() to restore the default configuration
              of the selected AESx peripheral.

## Function Documentation

## ◆ hal_aes_deinit()

hal_status_t hal_aes_deinit | ( | aes_handle_t * | p_aes | ) |

De-initialize the AES peripheral.

Parameters

  [in] | p_aes | Pointer to an AES handle which contains the configuration information for the specified AES module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_aes_init()

hal_status_t hal_aes_init | ( | aes_handle_t * | p_aes | ) |

Initialize the AES according to the specified parameters in the aes_init_t and initialize the associated handle.

Parameters

  [in] | p_aes | Pointer to an AES handle which contains the configuration information for the specified AES module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_aes_msp_deinit()

void hal_aes_msp_deinit | ( | aes_handle_t * | p_aes | ) |

De-initialize the AES MSP.

Note
  This function should not be modified. When the callback is needed, the hal_aes_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_aes | Pointer to an AES handle which contains the configuration information for the specified AES module.

## ◆ hal_aes_msp_init()

void hal_aes_msp_init | ( | aes_handle_t * | p_aes | ) |

Initialize the AES MSP.

Note
  This function should not be modified. When the callback is needed, the hal_aes_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_aes | Pointer to an AES handle which contains the configuration information for the specified AES module.